Subject: Re: [PATCH bpf-next 0/8] bpf: Follow up to RCU enforcement in the verifier.

From: Jakub Kicinski <[email-masked]>
Date: Tue, 4 Apr 2023 18:51:47 -0700

On Tue, 4 Apr 2023 17:16:27 -0700 Alexei Starovoitov wrote:
> > Added David's acks manually (we really need to teach pw-apply to do
> > this automatically...) and applied.  
> 
> +1
> I was hoping that patchwork will add this feature eventually,
> but it seems faster to hack the pw-apply script instead.

pw-apply can kind of do it. It exports an env variable called ADD_TAGS
if it spots any tags in reply to the cover letter.

You need to add a snippet like this to your .git/hooks/applypatch-msg:

  while IFS= read -r tag; do
    echo -e Adding tag: '\e[35m'$tag'\e[0m'
      git interpret-trailers --in-place \
          --if-exists=addIfDifferent \
          --trailer "$tag" \
          "$1"
  done <<< "$ADD_TAGS"

to transfer those tags onto the commits.

Looking at the code you may also need to use -M to get ADD_TAGS
exported. I'm guessing I put this code under -M so that the extra curl
requests don't slow down the script for everyone. But we can probably
"graduate" that into the main body if you find it useful and hate -M :)